<template>
  <div class="home">
    <!-- <img alt="Vue logo" src="../assets/logo.png"> -->
    <video-slider></video-slider>
    <div class="row">
      <router-link to="bicicletas">
        <div class="col s12 m7 dual-img">
          <div class="card hoverable">
            <div class="card-image" @mouseover="mouseOver1 =true;" @mouseleave="mouseOver1 = false;">
              
                <img src="@/assets/img/banner/banner-bicicletas_2.jpg" />
              
              <div :class="{'shadow-class':mouseOver1}"></div>
            </div>
          </div>
        </div>
      </router-link>
      <router-link to="accesorios">
        <div class="col s12 m5">
          <div class="card hoverable">
            <div class="card-image" @mouseover="mouseOver2 =true;" @mouseleave="mouseOver2 = false;">
              <img class src="@/assets/img/banner/banner-accesorios.jpg" />
              <div :class="[{'shadow-class':mouseOver2}]"></div>
            </div>
          </div>
        </div>
      </router-link>
    </div>
    <hr />
    <footer-contact></footer-contact>
  </div>
</template>

<script>
// @ is an alias to /src
import videoSlider from "@/components/videoSlider.vue";
import footerContact from "@/components/footerContact.vue";
export default {
  name: "Home",
  components: {
    videoSlider,
    footerContact
  },
  data() {
    return {
      mouseOver1: false,
      mouseOver2: false
    };
  }
};
</script>
<style scoped>
.card-image img {
  height: 300px;
  object-fit: cover;
  cursor: pointer;
}
.row .col {
  padding: 0x;
}
.shadow-class {
  width: 100%;
  height: 100%;
  background-color: rgba(128, 128, 128, 0.6);
  position: absolute;
  top: 0;
  cursor: pointer;
  transition: 400ms;
  z-index: 1;
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1400px) {
  .card-image img {
    height: 400px;
  }
}
</style>
